Package: java.time

## Class ZoneId

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `getFullName()` Returns the name of this zone formatted according to the TextStyle#FULL text style.
    `String` | `getFullName(Locale locale)` Returns the name of this zone formatted according to the TextStyle#FULL text style for the provided Locale.
    `ZoneOffset` | `getOffset()` Returns a ZoneOffset for this zone as of now.
    `ZoneOffset` | `getOffset(Instant instant)` Returns a ZoneOffset for this zone as of the provided Instant.
    `String` | `getShortName()` Returns the name of this zone formatted according to the TextStyle#SHORT text style.
    `String` | `getShortName(Locale locale)` Returns the name of this zone formatted according to the TextStyle#SHORT text style for the provided Locale.
    `ZonedDateTime` | `leftShift(LocalDateTime dateTime)` Returns a ZonedDateTime of this zone and the given LocalDateTime.
    `TimeZone` | `toTimeZone()` Returns a TimeZone equivalent to this zone.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public String getFullName()

      Returns the name of this zone formatted according to the TextStyle#FULL text style.

      Returns:
        the full display name of the ZoneId
      Since:
        2.5.0

    - #### public String getFullName(Locale locale)

      Returns the name of this zone formatted according to the TextStyle#FULL text style for the provided Locale.

      Parameters:
        `locale` - a Locale
      Returns:
        the full display name of the ZoneId
      Since:
        2.5.0

    - #### public ZoneOffset getOffset()

      Returns a ZoneOffset for this zone as of now.

      Returns:
        a ZoneOffset
      Since:
        2.5.0

    - #### public ZoneOffset getOffset(Instant instant)

      Returns a ZoneOffset for this zone as of the provided Instant.

      Parameters:
        `instant` - an Instant
      Returns:
        a ZoneOffset
      Since:
        2.5.0

    - #### public String getShortName()

      Returns the name of this zone formatted according to the TextStyle#SHORT text style.

      Returns:
        the short display name of the ZoneId
      Since:
        2.5.0

    - #### public String getShortName(Locale locale)

      Returns the name of this zone formatted according to the TextStyle#SHORT text style for the provided Locale.

      Parameters:
        `locale` - a Locale
      Returns:
        the short display name of the ZoneId
      Since:
        2.5.0

    - #### public ZonedDateTime leftShift(LocalDateTime dateTime)

      Returns a ZonedDateTime of this zone and the given LocalDateTime.

      Parameters:
      Returns:
        a ZonedDateTime
      Since:
        2.5.0

    - #### public TimeZone toTimeZone()

      Returns a TimeZone equivalent to this zone.

      Returns:
        a TimeZone
      Since:
        2.5.0